Subject: Problems building snap-20041011

From: Jason L Tibbitts III <[email-masked]>
Date: Mon, 11 Oct 2004 10:33:17 -0500

P ChangeLog
P NEWS
cvs update: warning: configure.in was lost
U configure.in
P fvwm/virtual.c
acinclude.m4:7: warning: underquoted definition of AC_FUNC_SELECT
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending%20aclocal
acinclude.m4:87: warning: underquoted definition of pds_CHECK_TYPE
acinclude.m4:126: warning: underquoted definition of smr_SWITCH
acinclude.m4:171: warning: underquoted definition of smr_ARG_WITHLIB
acinclude.m4:218: warning: underquoted definition of smr_ARG_WITHINCLUDES
acinclude.m4:259: warning: underquoted definition of smr_CHECK_LIB
acinclude.m4:303: warning: underquoted definition of mg_DEFINE_IF_NOT
acinclude.m4:332: warning: underquoted definition of AM_PATH_GTK
acinclude.m4:525: warning: underquoted definition of AM_PATH_IMLIB
acinclude.m4:664: warning: underquoted definition of AM_PATH_GDK_IMLIB
acinclude.m4:1010: warning: underquoted definition of AM_CHECK_PKG_CONFIG
acinclude.m4:1043: warning: underquoted definition of AM_CHECK_FT2
acinclude.m4:1178: warning: underquoted definition of AM_CHECK_FC
acinclude.m4:1334: warning: underquoted definition of AM_CHECK_XFT
/usr/share/aclocal/vorbis.m4:9: warning: underquoted definition of XIPH_PATH_VORBIS
/usr/share/aclocal/pkg.m4:5: warning: underquoted definition of PKG_CHECK_MODULES
/usr/share/aclocal/ogg.m4:8: warning: underquoted definition of XIPH_PATH_OGG
/usr/share/aclocal/libole2.m4:18: warning: underquoted definition of AM_PATH_LIBOLE2
/usr/share/aclocal/libmikmod.m4:11: warning: underquoted definition of AM_PATH_LIBMIKMOD
/usr/share/aclocal/audiofile.m4:12: warning: underquoted definition of AM_PATH_AUDIOFILE
acinclude.m4:7: warning: underquoted definition of AC_FUNC_SELECT
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending%20aclocal
acinclude.m4:87: warning: underquoted definition of pds_CHECK_TYPE
acinclude.m4:126: warning: underquoted definition of smr_SWITCH
acinclude.m4:171: warning: underquoted definition of smr_ARG_WITHLIB
acinclude.m4:218: warning: underquoted definition of smr_ARG_WITHINCLUDES
acinclude.m4:259: warning: underquoted definition of smr_CHECK_LIB
acinclude.m4:303: warning: underquoted definition of mg_DEFINE_IF_NOT
acinclude.m4:332: warning: underquoted definition of AM_PATH_GTK
acinclude.m4:525: warning: underquoted definition of AM_PATH_IMLIB
acinclude.m4:664: warning: underquoted definition of AM_PATH_GDK_IMLIB
acinclude.m4:1010: warning: underquoted definition of AM_CHECK_PKG_CONFIG
acinclude.m4:1043: warning: underquoted definition of AM_CHECK_FT2
acinclude.m4:1178: warning: underquoted definition of AM_CHECK_FC
acinclude.m4:1334: warning: underquoted definition of AM_CHECK_XFT
/usr/share/aclocal/vorbis.m4:9: warning: underquoted definition of XIPH_PATH_VORBIS
/usr/share/aclocal/pkg.m4:5: warning: underquoted definition of PKG_CHECK_MODULES
/usr/share/aclocal/ogg.m4:8: warning: underquoted definition of XIPH_PATH_OGG
/usr/share/aclocal/libole2.m4:18: warning: underquoted definition of AM_PATH_LIBOLE2
/usr/share/aclocal/libmikmod.m4:11: warning: underquoted definition of AM_PATH_LIBMIKMOD
/usr/share/aclocal/audiofile.m4:12: warning: underquoted definition of AM_PATH_AUDIOFILE
autoheader: WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
autoheader: WARNING: and `config.h.top', to define templates for `config.h.in'
autoheader: WARNING: is deprecated and discouraged.
autoheader: 
autoheader: WARNING: Using the third argument of `AC_DEFINE' and
autoheader: WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
autoheader: WARNING: `acconfig.h':
autoheader: 
autoheader: WARNING:   AC_DEFINE([NEED_FUNC_MAIN], 1,
autoheader: 		[Define if a function `main' is needed.])
autoheader: 
autoheader: WARNING: More sophisticated templates can also be produced, see the
autoheader: WARNING: documentation.
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable command logging... no
checking whether to enable debugging messages... no
checking imagepath... /usr/include/X11/bitmaps:/usr/include/X11/pixmaps
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for library containing strerror... none required
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking for X... libraries /usr/X11R6/lib, headers /usr/X11R6/include
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for pkg-config... /usr/bin/pkg-config
checking for SmcOpenConnection in -lSM... yes
checking for XShapeQueryExtension in -lXext... yes
checking for XShmQueryExtension in -lXext... yes
checking for XineramaIsActive in -lXinerama... yes
checking whether to enable Xinerama emulation on one screen (useful only for developers)... no
checking for XRenderComposite in -lXrender... yes
checking for freetype-config... /usr/bin/freetype-config
checking for FreeType - version >= 6.1.0... yes
checking for fontconfig-config... no
checking for Fontconfig - version >= 1.0.1... yes
checking for xft-config... /usr/X11R6/bin/xft-config
checking for Xft - version >= 2.0.0... ./configure: line 6841: test: 2.2: integer expression expected
./configure: line 6844: test: 2.2: integer expression expected
yes
checking for XpmReadFileToXpmImage in -lXpm... yes
checking X11/xpm.h usability... yes
checking X11/xpm.h presence... yes
checking for X11/xpm.h... yes
checking for Xpm 3.4g or better... yes
checking for png_read_info in -lpng... yes
checking png.h usability... yes
checking png.h presence... yes
checking for png.h... yes
checking for libpng 1.0.4a or better... yes
checking whether byte ordering is bigendian... no
checking for rplay_create in -lrplay... no
checking for stroke_init in -lstroke... no
checking with termcap... checking for readline in -lreadline... yes
checking readline/history.h usability... yes
checking readline/history.h presence... yes
checking for readline/history.h... yes
checking for _Xsetlocale in -lX11... no
checking for XOpenOM in -lX11... yes
checking for libiconv_open in -liconv... no
checking for iconv_open... yes
checking check if second arg of iconv is const... no
checking for nl_langinfo (CODESET)... yes
checking for fribidi-config... no
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msguniq... /usr/bin/msguniq
checking for NLS fvwm messages catalogs... ar de fr sv_SE zh_CN
checking for NLS desired catalogs to be installed... all
checking for NLS messages catalogs to be installed...  ar de fr sv_SE zh_CN
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for gettext... yes
checking for bindtextdomain... yes
checking for textdomain... yes
checking for dgettext... yes
checking for gnu gettext in libc... yes
checking if a simple gettext program link... yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking for vfprintf... yes
checking for waitpid... yes
checking for cpp... /usr/bin/cpp
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking for ranlib... ranlib
checking for perl... /usr/bin/perl
checking for perl 5.004 or better... yes
assuming /usr/bin/perl as perl location
checking for ANSI C header files... (cached) yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for stdlib.h... (cached) yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking malloc.h usability... yes
checking malloc.h presence... yes
checking for malloc.h... yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for unistd.h... (cached) yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking sys/systeminfo.h usability... no
checking sys/systeminfo.h presence... no
checking for sys/systeminfo.h... no
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for off_t... yes
checking for pid_t... yes
checking for size_t... yes
checking whether time.h and sys/time.h may both be included... yes
checking return type of signal handlers... void
checking for working alloca.h... yes
checking for alloca... yes
checking for strftime... yes
checking whether setpgrp takes no argument... yes
checking for gettimeofday... yes
checking for mkfifo... yes
checking for putenv... yes
checking for setvbuf... yes
checking for socket... yes
checking for waitpid... (cached) yes
checking for strdup... yes
checking for strstr... yes
checking for strtol... yes
checking for memmove... yes
checking for memcpy... yes
checking for strchr... yes
checking for sysconf... yes
checking for uname... yes
checking for div... yes
checking for sigaction... yes
checking for siginterrupt... yes
checking for getpwuid... yes
checking for setpgrp... yes
checking for setpgid... yes
checking for sig_atomic_t... yes
checking for function prototypes... yes
checking whether setvbuf arguments are reversed... no
checking for select... yes
checking for unistd.h... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for sys/select.h... (cached) yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking argument types of select()... select(int,fd_set *,...)
checking for gethostname... yes
checking for strcasecmp... yes
checking for strncasecmp... yes
checking for strdup... (cached) yes
checking for strerror... yes
checking for usleep... yes
checking for atexit... yes
checking for mkstemp... yes
checking if mkstemp is safe... yes
checking for unsetenv... yes
checking for gtk-config... no
checking for GTK - version >= 1.1.0... no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
checking for imlib-config... no
checking for GDK IMLIB - version >= 1.8.0... no
checking for gnome-config... no
checking for gnomeConf.sh file in /usr/local/lib... not found
configure: creating ./config.status
config.status: creating Makefile
config.status: creating libs/Makefile
config.status: creating fvwm/Makefile
config.status: creating modules/Makefile
config.status: creating bin/fvwm-bug.1
config.status: creating bin/fvwm-config.1
config.status: creating bin/fvwm-convert-2.2.1
config.status: creating bin/fvwm-convert-2.4.1
config.status: creating bin/fvwm-convert-2.6.1
config.status: creating bin/fvwm-menu-desktop.1
config.status: creating bin/fvwm-root.1
config.status: creating fvwm/fvwm.1
config.status: creating modules/FvwmAnimate/FvwmAnimate.1
config.status: creating modules/FvwmAuto/FvwmAuto.1
config.status: creating modules/FvwmBacker/FvwmBacker.1
config.status: creating modules/FvwmBanner/FvwmBanner.1
config.status: creating modules/FvwmButtons/FvwmButtons.1
config.status: creating modules/FvwmCommand/FvwmCommand.1
config.status: creating modules/FvwmConsole/FvwmConsole.1
config.status: creating modules/FvwmConsole/FvwmConsoleC.pl.1
config.status: creating modules/FvwmCpp/FvwmCpp.1
config.status: creating modules/FvwmDragWell/FvwmDragWell.1
config.status: creating modules/FvwmEvent/FvwmEvent.1
config.status: creating modules/FvwmForm/FvwmForm.1
config.status: creating modules/FvwmGtk/FvwmGtk.1
config.status: creating modules/FvwmIconBox/FvwmIconBox.1
config.status: creating modules/FvwmIconMan/FvwmIconMan.1
config.status: creating modules/FvwmIdent/FvwmIdent.1
config.status: creating modules/FvwmM4/FvwmM4.1
config.status: creating modules/FvwmPager/FvwmPager.1
config.status: creating modules/FvwmProxy/FvwmProxy.1
config.status: creating modules/FvwmRearrange/FvwmRearrange.1
config.status: creating modules/FvwmSave/FvwmSave.1
config.status: creating modules/FvwmSaveDesk/FvwmSaveDesk.1
config.status: creating modules/FvwmScript/FvwmScript.1
config.status: creating modules/FvwmScroll/FvwmScroll.1
config.status: creating modules/FvwmTaskBar/FvwmTaskBar.1
config.status: creating modules/FvwmTheme/FvwmTheme.1
config.status: creating modules/FvwmWharf/FvwmWharf.1
config.status: creating modules/FvwmWinList/FvwmWinList.1
config.status: creating bin/Makefile
config.status: creating bin/fvwm-config
config.status: creating bin/fvwm-bug
config.status: creating bin/fvwm-perllib
config.status: creating bin/fvwm-menu-xlock
config.status: creating bin/fvwm-menu-directory
config.status: creating bin/fvwm-menu-desktop
config.status: creating bin/fvwm-menu-headlines
config.status: creating bin/fvwm-convert-2.4
config.status: creating bin/fvwm-convert-2.6
config.status: creating utils/Makefile
config.status: creating perllib/Makefile
config.status: creating perllib/General/Makefile
config.status: creating perllib/FVWM/Makefile
config.status: creating perllib/FVWM/Module/Makefile
config.status: creating perllib/FVWM/Tracker/Makefile
config.status: creating perllib/FVWM/Module.pm
config.status: creating rpm/Makefile
config.status: creating rpm/fvwm.spec
config.status: creating debian/Makefile
config.status: creating debian/control
config.status: creating docs/fvwm.lsm
config.status: creating docs/Makefile
config.status: creating sample.fvwmrc/Makefile
config.status: creating tests/Makefile
config.status: creating tests/hints/Makefile
config.status: creating po/Makefile
config.status: creating modules/FvwmAnimate/Makefile
config.status: creating modules/FvwmAuto/Makefile
config.status: creating modules/FvwmBacker/Makefile
config.status: creating modules/FvwmBanner/Makefile
config.status: creating modules/FvwmButtons/Makefile
config.status: creating modules/FvwmCommand/Makefile
config.status: creating modules/FvwmCommand/scripts/Makefile
config.status: creating modules/FvwmConsole/Makefile
config.status: creating modules/FvwmConsole/FvwmConsoleC.pl
config.status: creating modules/FvwmCpp/Makefile
config.status: creating modules/FvwmDebug/Makefile
config.status: creating modules/FvwmDebug/FvwmDebug
config.status: creating modules/FvwmDebug/FvwmGtkDebug
config.status: creating modules/FvwmDragWell/Makefile
config.status: creating modules/FvwmEvent/Makefile
config.status: creating modules/FvwmForm/Makefile
config.status: creating modules/FvwmIconBox/Makefile
config.status: creating modules/FvwmIconMan/Makefile
config.status: creating modules/FvwmIdent/Makefile
config.status: creating modules/FvwmM4/Makefile
config.status: creating modules/FvwmPager/Makefile
config.status: creating modules/FvwmPerl/Makefile
config.status: creating modules/FvwmPerl/FvwmPerl
config.status: creating modules/FvwmProxy/Makefile
config.status: creating modules/FvwmRearrange/Makefile
config.status: creating modules/FvwmSave/Makefile
config.status: creating modules/FvwmSaveDesk/Makefile
config.status: creating modules/FvwmScript/Makefile
config.status: creating modules/FvwmScript/Scripts/Makefile
config.status: creating modules/FvwmScript/Widgets/Makefile
config.status: creating modules/FvwmScroll/Makefile
config.status: creating modules/FvwmTaskBar/Makefile
config.status: creating modules/FvwmTheme/Makefile
config.status: creating modules/FvwmWharf/Makefile
config.status: creating modules/FvwmWinList/Makefile
config.status: creating modules/FvwmWindowMenu/Makefile
config.status: creating modules/FvwmWindowMenu/FvwmWindowMenu
config.status: creating modules/FvwmGtk/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands

FVWM Configuration:

  Version:     2.5.13 (snap-20041011)

  Executables: /usr/local/bin
  Man pages:   /usr/local/man
  Modules:     /usr/local/libexec/fvwm/2.5.13
  Data files:  /usr/local/share/fvwm
  Perl lib:    /usr/local/share/fvwm/perllib
  Locale msg:  /usr/local/share/locale  ar de fr sv_SE zh_CN

  With Asian bi-direct. text support? no: No fribidi-config found in PATH
  With Gettext Native Lang support?   yes (libc)
  With GTK+ required for FvwmGtk?     no: Failed to detect GTK, see config.log
  With Iconv support?                 yes (from C library)
  With Mouse strokes (gestures)?      no: Can't find working libstroke
  With PNG image support?             yes
  With ReadLine sup. in FvwmConsole?  yes
  With RPlay support in FvwmEvent?    no: Can't find working librplay
  With Shaped window support?         yes
  With Shared memory for XImage?      yes
  With Session Management support?    yes
  With Xinerama multi-head support?   yes
  With Xft anti-alias font support?   yes (version 2)
  With XPM image support?             yes
  With Xrender image support?         yes

See INSTALL.fvwm for the description of what this may mean.
 /bin/sh ./config.status
config.status: creating Makefile
config.status: creating libs/Makefile
config.status: creating fvwm/Makefile
config.status: creating modules/Makefile
config.status: creating bin/fvwm-bug.1
config.status: creating bin/fvwm-config.1
config.status: creating bin/fvwm-convert-2.2.1
config.status: creating bin/fvwm-convert-2.4.1
config.status: creating bin/fvwm-convert-2.6.1
config.status: creating bin/fvwm-menu-desktop.1
config.status: creating bin/fvwm-root.1
config.status: creating fvwm/fvwm.1
config.status: creating modules/FvwmAnimate/FvwmAnimate.1
config.status: creating modules/FvwmAuto/FvwmAuto.1
config.status: creating modules/FvwmBacker/FvwmBacker.1
config.status: creating modules/FvwmBanner/FvwmBanner.1
config.status: creating modules/FvwmButtons/FvwmButtons.1
config.status: creating modules/FvwmCommand/FvwmCommand.1
config.status: creating modules/FvwmConsole/FvwmConsole.1
config.status: creating modules/FvwmConsole/FvwmConsoleC.pl.1
config.status: creating modules/FvwmCpp/FvwmCpp.1
config.status: creating modules/FvwmDragWell/FvwmDragWell.1
config.status: creating modules/FvwmEvent/FvwmEvent.1
config.status: creating modules/FvwmForm/FvwmForm.1
config.status: creating modules/FvwmGtk/FvwmGtk.1
config.status: creating modules/FvwmIconBox/FvwmIconBox.1
config.status: creating modules/FvwmIconMan/FvwmIconMan.1
config.status: creating modules/FvwmIdent/FvwmIdent.1
config.status: creating modules/FvwmM4/FvwmM4.1
config.status: creating modules/FvwmPager/FvwmPager.1
config.status: creating modules/FvwmProxy/FvwmProxy.1
config.status: creating modules/FvwmRearrange/FvwmRearrange.1
config.status: creating modules/FvwmSave/FvwmSave.1
config.status: creating modules/FvwmSaveDesk/FvwmSaveDesk.1
config.status: creating modules/FvwmScript/FvwmScript.1
config.status: creating modules/FvwmScroll/FvwmScroll.1
config.status: creating modules/FvwmTaskBar/FvwmTaskBar.1
config.status: creating modules/FvwmTheme/FvwmTheme.1
config.status: creating modules/FvwmWharf/FvwmWharf.1
config.status: creating modules/FvwmWinList/FvwmWinList.1
config.status: creating bin/Makefile
config.status: creating bin/fvwm-config
config.status: creating bin/fvwm-bug
config.status: creating bin/fvwm-perllib
config.status: creating bin/fvwm-menu-xlock
config.status: creating bin/fvwm-menu-directory
config.status: creating bin/fvwm-menu-desktop
config.status: creating bin/fvwm-menu-headlines
config.status: creating bin/fvwm-convert-2.4
config.status: creating bin/fvwm-convert-2.6
config.status: creating utils/Makefile
config.status: creating perllib/Makefile
config.status: creating perllib/General/Makefile
config.status: creating perllib/FVWM/Makefile
config.status: creating perllib/FVWM/Module/Makefile
config.status: creating perllib/FVWM/Tracker/Makefile
config.status: creating perllib/FVWM/Module.pm
config.status: creating rpm/Makefile
config.status: creating rpm/fvwm.spec
config.status: creating debian/Makefile
config.status: creating debian/control
config.status: creating docs/fvwm.lsm
config.status: creating docs/Makefile
config.status: creating sample.fvwmrc/Makefile
config.status: creating tests/Makefile
config.status: creating tests/hints/Makefile
config.status: creating po/Makefile
config.status: creating modules/FvwmAnimate/Makefile
config.status: creating modules/FvwmAuto/Makefile
config.status: creating modules/FvwmBacker/Makefile
config.status: creating modules/FvwmBanner/Makefile
config.status: creating modules/FvwmButtons/Makefile
config.status: creating modules/FvwmCommand/Makefile
config.status: creating modules/FvwmCommand/scripts/Makefile
config.status: creating modules/FvwmConsole/Makefile
config.status: creating modules/FvwmConsole/FvwmConsoleC.pl
config.status: creating modules/FvwmCpp/Makefile
config.status: creating modules/FvwmDebug/Makefile
config.status: creating modules/FvwmDebug/FvwmDebug
config.status: creating modules/FvwmDebug/FvwmGtkDebug
config.status: creating modules/FvwmDragWell/Makefile
config.status: creating modules/FvwmEvent/Makefile
config.status: creating modules/FvwmForm/Makefile
config.status: creating modules/FvwmIconBox/Makefile
config.status: creating modules/FvwmIconMan/Makefile
config.status: creating modules/FvwmIdent/Makefile
config.status: creating modules/FvwmM4/Makefile
config.status: creating modules/FvwmPager/Makefile
config.status: creating modules/FvwmPerl/Makefile
config.status: creating modules/FvwmPerl/FvwmPerl
config.status: creating modules/FvwmProxy/Makefile
config.status: creating modules/FvwmRearrange/Makefile
config.status: creating modules/FvwmSave/Makefile
config.status: creating modules/FvwmSaveDesk/Makefile
config.status: creating modules/FvwmScript/Makefile
config.status: creating modules/FvwmScript/Scripts/Makefile
config.status: creating modules/FvwmScript/Widgets/Makefile
config.status: creating modules/FvwmScroll/Makefile
config.status: creating modules/FvwmTaskBar/Makefile
config.status: creating modules/FvwmTheme/Makefile
config.status: creating modules/FvwmWharf/Makefile
config.status: creating modules/FvwmWinList/Makefile
config.status: creating modules/FvwmWindowMenu/Makefile
config.status: creating modules/FvwmWindowMenu/FvwmWindowMenu
config.status: creating modules/FvwmGtk/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
cd . && /bin/sh /home/tibbs/fvwm/missing --run autoheader
autoheader: WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
autoheader: WARNING: and `config.h.top', to define templates for `config.h.in'
autoheader: WARNING: is deprecated and discouraged.
autoheader: 
autoheader: WARNING: Using the third argument of `AC_DEFINE' and
autoheader: WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
autoheader: WARNING: `acconfig.h':
autoheader: 
autoheader: WARNING:   AC_DEFINE([NEED_FUNC_MAIN], 1,
autoheader: 		[Define if a function `main' is needed.])
autoheader: 
autoheader: WARNING: More sophisticated templates can also be produced, see the
autoheader: WARNING: documentation.
rm -f stamp-h1
touch config.h.in
cd . && /bin/sh ./config.status config.h
config.status: creating config.h
config.status: config.h is unchanged
/usr/bin/make  all-recursive
make[1]: Entering directory `/home/tibbs/fvwm'
Making all in libs
make[2]: Entering directory `/home/tibbs/fvwm/libs'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/tibbs/fvwm/libs'
Making all in fvwm
make[2]: Entering directory `/home/tibbs/fvwm/fvwm'
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I../libs  -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/X11R6/include  -I/usr/X11R6/include        -DFVWM_MODULEDIR=\"/usr/local/libexec/fvwm/2.5.13\" -DFVWM_DATADIR=\"/usr/local/share/fvwm\" -DFVWM_CONFDIR=\"/usr/local/etc\" -DFVWM_COLORSET_PRIVATE=1 -DLOCALEDIR=\"/usr/local/share/locale\" -Wall -Wno-implicit-int -g -O2 -MT virtual.o -MD -MP -MF ".deps/virtual.Tpo" -c -o virtual.o virtual.c; \
then mv -f ".deps/virtual.Tpo" ".deps/virtual.Po"; else rm -f ".deps/virtual.Tpo"; exit 1; fi
gcc -DFVWM_MODULEDIR=\"/usr/local/libexec/fvwm/2.5.13\" -DFVWM_DATADIR=\"/usr/local/share/fvwm\" -DFVWM_CONFDIR=\"/usr/local/etc\" -DFVWM_COLORSET_PRIVATE=1 -DLOCALEDIR=\"/usr/local/share/locale\" -Wall -Wno-implicit-int -g -O2   -o fvwm  menus.o style.o events.o move_resize.o add_window.o builtins.o borders.o icons.o fvwm.o module_interface.o frame.o virtual.o stack.o ewmh.o menustyle.o session.o colorset.o placement.o functions.o gnome.o focus.o conditional.o geometry.o ewmh_events.o windowlist.o menuitem.o ewmh_icons.o decorations.o update.o expand.o misc.o functable.o bindings.o cursor.o colormaps.o ewmh_conf.o modconf.o read.o menucmd.o ewmh_names.o icccm2.o schedule.o windowshade.o focus_policy.o repeat.o execcontext.o colors.o menudim.o condrc.o -L../libs -lfvwm -L/usr/X11R6/lib -lXft -lX11 -lfreetype -lfontconfig -L/usr/X11R6/lib -lXrender -L/usr/X11R6/lib -lXpm  -lSM -lICE -lXinerama -lXext -lX11  -lm  -lXrender  -lpng -lz  
make[2]: Leaving directory `/home/tibbs/fvwm/fvwm'
Making all in modules
make[2]: Entering directory `/home/tibbs/fvwm/modules'
Making all in FvwmAnimate
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmAnimate'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmAnimate'
Making all in FvwmAuto
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmAuto'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmAuto'
Making all in FvwmBacker
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmBacker'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmBacker'
Making all in FvwmBanner
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmBanner'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmBanner'
Making all in FvwmButtons
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmButtons'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmButtons'
Making all in FvwmCommand
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmCommand'
Making all in scripts
make[4]: Entering directory `/home/tibbs/fvwm/modules/FvwmCommand/scripts'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/home/tibbs/fvwm/modules/FvwmCommand/scripts'
make[4]: Entering directory `/home/tibbs/fvwm/modules/FvwmCommand'
if gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../..  -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/X11R6/include -I/usr/X11R6/include    -Wall -Wno-implicit-int -g -O2 -MT FvwmCommand.o -MD -MP -MF ".deps/FvwmCommand.Tpo" -c -o FvwmCommand.o FvwmCommand.c; \
then mv -f ".deps/FvwmCommand.Tpo" ".deps/FvwmCommand.Po"; else rm -f ".deps/FvwmCommand.Tpo"; exit 1; fi
FvwmCommand.c: In function `main':
FvwmCommand.c:214: warning: unused variable `s'
FvwmCommand.c:270: error: `s' undeclared (first use in this function)
FvwmCommand.c:270: error: (Each undeclared identifier is reported only once
FvwmCommand.c:270: error: for each function it appears in.)
make[4]: *** [FvwmCommand.o] Error 1
make[4]: Target `all-am' not remade because of errors.
make[4]: Leaving directory `/home/tibbs/fvwm/modules/FvwmCommand'
make[3]: *** [all-recursive] Error 1
make[3]: Target `all' not remade because of errors.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmCommand'
Making all in FvwmConsole
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmConsole'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmConsole'
Making all in FvwmCpp
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmCpp'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmCpp'
Making all in FvwmDebug
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmDebug'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmDebug'
Making all in FvwmDragWell
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmDragWell'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmDragWell'
Making all in FvwmEvent
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmEvent'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmEvent'
Making all in FvwmForm
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmForm'
echo "#!/bin/sh" > FvwmTalk
echo exec /usr/local/libexec/fvwm/2.5.13/FvwmForm '$@' FvwmForm-Talk>> FvwmTalk
rm -f FvwmForm-Setup
sed -e 's,xFVWM_DATADIRx,/usr/local/share/fvwm,' ../../modules/FvwmForm/FvwmForm-Setup.in > FvwmForm-Setup-t
mv FvwmForm-Setup-t FvwmForm-Setup
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmForm'
Making all in FvwmGtk
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmGtk'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmGtk'
Making all in FvwmIconBox
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmIconBox'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmIconBox'
Making all in FvwmIconMan
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmIconMan'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmIconMan'
Making all in FvwmIdent
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmIdent'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmIdent'
Making all in FvwmM4
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmM4'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmM4'
Making all in FvwmPager
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmPager'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmPager'
Making all in FvwmPerl
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmPerl'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmPerl'
Making all in FvwmProxy
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmProxy'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmProxy'
Making all in FvwmRearrange
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmRearrange'
echo "#!/bin/sh" > FvwmCascade
echo 'modargs="$1 $2 $3 $4 $5"' >> FvwmCascade
echo 'shift;shift;shift;shift;shift' >> FvwmCascade
echo exec /usr/local/libexec/fvwm/2.5.13'/FvwmRearrange $modargs -cascade $@' >> FvwmCascade
echo "#!/bin/sh" > FvwmTile
echo 'modargs="$1 $2 $3 $4 $5"' >> FvwmTile
echo 'shift;shift;shift;shift;shift' >> FvwmTile
echo exec /usr/local/libexec/fvwm/2.5.13'/FvwmRearrange $modargs -tile $@' >> FvwmTile
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmRearrange'
Making all in FvwmSave
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmSave'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmSave'
Making all in FvwmSaveDesk
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmSaveDesk'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmSaveDesk'
Making all in FvwmScript
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmScript'
Making all in Scripts
make[4]: Entering directory `/home/tibbs/fvwm/modules/FvwmScript/Scripts'
rm -f FvwmScript-Setup95
sed -e 's,xFVWM_DATADIRx,/usr/local/share/fvwm,' -e 's,xPERLx,/usr/bin/perl,' -e 's,xFVWM_IMAGEPATHx,/usr/include/X11/bitmaps:/usr/include/X11/pixmaps,' ../../../modules/FvwmScript/Scripts/FvwmScript-Setup95.in > FvwmScript-Setup95-t
mv FvwmScript-Setup95-t FvwmScript-Setup95
rm -f FvwmScript-ComExample
sed -e 's,xFVWM_DATADIRx,/usr/local/share/fvwm,' -e 's,xPERLx,/usr/bin/perl,' ../../../modules/FvwmScript/Scripts/FvwmScript-ComExample.in > FvwmScript-ComExample-t
mv FvwmScript-ComExample-t FvwmScript-ComExample
make[4]: Leaving directory `/home/tibbs/fvwm/modules/FvwmScript/Scripts'
Making all in Widgets
make[4]: Entering directory `/home/tibbs/fvwm/modules/FvwmScript/Widgets'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/home/tibbs/fvwm/modules/FvwmScript/Widgets'
make[4]: Entering directory `/home/tibbs/fvwm/modules/FvwmScript'
make[4]: Nothing to be done for `all-am'.
make[4]: Leaving directory `/home/tibbs/fvwm/modules/FvwmScript'
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmScript'
Making all in FvwmScroll
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmScroll'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmScroll'
Making all in FvwmTaskBar
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmTaskBar'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmTaskBar'
Making all in FvwmTheme
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmTheme'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmTheme'
Making all in FvwmWharf
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmWharf'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmWharf'
Making all in FvwmWinList
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmWinList'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmWinList'
Making all in FvwmWindowMenu
make[3]: Entering directory `/home/tibbs/fvwm/modules/FvwmWindowMenu'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules/FvwmWindowMenu'
make[3]: Entering directory `/home/tibbs/fvwm/modules'
make[3]: Nothing to be done for `all-am'.
make[3]: Leaving directory `/home/tibbs/fvwm/modules'
make[2]: *** [all-recursive] Error 1
make[2]: Target `all' not remade because of errors.
make[2]: Leaving directory `/home/tibbs/fvwm/modules'
Making all in bin
make[2]: Entering directory `/home/tibbs/fvwm/bin'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/tibbs/fvwm/bin'
Making all in utils
make[2]: Entering directory `/home/tibbs/fvwm/utils'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/tibbs/fvwm/utils'
Making all in perllib
make[2]: Entering directory `/home/tibbs/fvwm/perllib'
Making all in FVWM
make[3]: Entering directory `/home/tibbs/fvwm/perllib/FVWM'
Making all in Module
make[4]: Entering directory `/home/tibbs/fvwm/perllib/FVWM/Module'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/home/tibbs/fvwm/perllib/FVWM/Module'
Making all in Tracker
make[4]: Entering directory `/home/tibbs/fvwm/perllib/FVWM/Tracker'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/home/tibbs/fvwm/perllib/FVWM/Tracker'
make[4]: Entering directory `/home/tibbs/fvwm/perllib/FVWM'
make[4]: Nothing to be done for `all-am'.
make[4]: Leaving directory `/home/tibbs/fvwm/perllib/FVWM'
make[3]: Leaving directory `/home/tibbs/fvwm/perllib/FVWM'
Making all in General
make[3]: Entering directory `/home/tibbs/fvwm/perllib/General'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/perllib/General'
make[3]: Entering directory `/home/tibbs/fvwm/perllib'
make[3]: Nothing to be done for `all-am'.
make[3]: Leaving directory `/home/tibbs/fvwm/perllib'
make[2]: Leaving directory `/home/tibbs/fvwm/perllib'
Making all in docs
make[2]: Entering directory `/home/tibbs/fvwm/docs'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/tibbs/fvwm/docs'
Making all in rpm
make[2]: Entering directory `/home/tibbs/fvwm/rpm'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/tibbs/fvwm/rpm'
Making all in debian
make[2]: Entering directory `/home/tibbs/fvwm/debian'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/tibbs/fvwm/debian'
Making all in sample.fvwmrc
make[2]: Entering directory `/home/tibbs/fvwm/sample.fvwmrc'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/tibbs/fvwm/sample.fvwmrc'
Making all in po
make[2]: Entering directory `/home/tibbs/fvwm/po'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/tibbs/fvwm/po'
Making all in tests
make[2]: Entering directory `/home/tibbs/fvwm/tests'
Making all in hints
make[3]: Entering directory `/home/tibbs/fvwm/tests/hints'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/tibbs/fvwm/tests/hints'
make[3]: Entering directory `/home/tibbs/fvwm/tests'
make[3]: Nothing to be done for `all-am'.
make[3]: Leaving directory `/home/tibbs/fvwm/tests'
make[2]: Leaving directory `/home/tibbs/fvwm/tests'
make[2]: Entering directory `/home/tibbs/fvwm'
make[2]: Leaving directory `/home/tibbs/fvwm'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/tibbs/fvwm'
make: *** [all] Error 2
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]